> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Categories Previews

> Get Categories previews

> ⚠️ **Этот эндпоинт deprecated и будет удален в будущем.**


## OpenAPI

````yaml get /categories/previews
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /categories/previews:
    get:
      tags:
        - categories
      summary: Get Categories Previews
      description: Get Categories previews
      operationId: get_categories_previews_categories_previews_get
      parameters:
        - name: category_limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 10
              - type: 'null'
            description: Limit for number of categories
            default: 4
            title: Category Limit
          description: Limit for number of categories
        - name: category_offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Offset for categories
            default: 0
            title: Category Offset
          description: Offset for categories
        - name: product_limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 10
              - type: 'null'
            description: Limit for number of products per category
            default: 4
            title: Product Limit
          description: Limit for number of products per category
        - name: product_offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Offset for products per category
            default: 0
            title: Product Offset
          description: Offset for products per category
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CategoryWithProductsResponse'
                title: Response Get Categories Previews Categories Previews Get
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - HTTPBearer: []
components:
  schemas:
    CategoryWithProductsResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        products:
          items:
            $ref: '#/components/schemas/ProductGetResponse'
          type: array
          title: Products
      type: object
      required:
        - id
        - name
        - products
      title: CategoryWithProductsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProductGetResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        price:
          type: number
          title: Price
        platform_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Platform Price
        is_active:
          type: boolean
          title: Is Active
        quantity:
          type: integer
          title: Quantity
        store:
          $ref: '#/components/schemas/ProductUpcomingRoundStoreGetResponse'
        detail_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail Desc
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        question_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Question Id
        attribute_values:
          anyOf:
            - items:
                $ref: '#/components/schemas/GroupedAttributeValue'
              type: array
            - type: 'null'
          title: Attribute Values
          default: []
        assets:
          anyOf:
            - items:
                $ref: '#/components/schemas/UnifiedItemRoundAssetResponse'
              type: array
            - type: 'null'
          title: Assets
          default: []
        in_favorites:
          anyOf:
            - type: boolean
            - type: 'null'
          title: In Favorites
          default: false
        promo_codes:
          anyOf:
            - items:
                $ref: '#/components/schemas/ProductPromoCodeGetResponse'
              type: array
            - type: 'null'
          title: Promo Codes
        category:
          anyOf:
            - $ref: '#/components/schemas/ProductCategoryGetResponse'
            - type: 'null'
        format_price:
          type: string
          title: Format Price
          readOnly: true
      type: object
      required:
        - id
        - name
        - price
        - is_active
        - quantity
        - store
        - format_price
      title: ProductGetResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ProductUpcomingRoundStoreGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        is_blogger:
          type: boolean
          title: Is Blogger
        seller_type:
          type: string
          title: Seller Type
          readOnly: true
      type: object
      required:
        - id
        - name
        - is_blogger
        - seller_type
      title: ProductUpcomingRoundStoreGetResponse
    GroupedAttributeValue:
      properties:
        id:
          type: integer
          title: Id
        key_name:
          type: string
          title: Key Name
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        need_to_choose:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Need To Choose
        choices:
          items:
            $ref: '#/components/schemas/AttributeValueChoice'
          type: array
          title: Choices
      type: object
      required:
        - id
        - key_name
        - name
        - type
        - choices
      title: GroupedAttributeValue
    UnifiedItemRoundAssetResponse:
      properties:
        name:
          type: string
          title: Name
        path:
          type: string
          title: Path
        type:
          type: string
          title: Type
        sort_order:
          type: integer
          title: Sort Order
        is_primary:
          type: boolean
          title: Is Primary
      type: object
      required:
        - name
        - path
        - type
        - sort_order
        - is_primary
      title: UnifiedItemRoundAssetResponse
    ProductPromoCodeGetResponse:
      properties:
        id:
          type: string
          title: Id
        promo_code:
          type: string
          title: Promo Code
        quantity:
          type: integer
          title: Quantity
        discount_percent:
          type: integer
          title: Discount Percent
        expired_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expired At
        is_for_winner:
          type: boolean
          title: Is For Winner
      type: object
      required:
        - id
        - promo_code
        - quantity
        - discount_percent
        - is_for_winner
      title: ProductPromoCodeGetResponse
    ProductCategoryGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: ProductCategoryGetResponse
    AttributeValueChoice:
      properties:
        id:
          type: integer
          title: Id
        value:
          type: string
          title: Value
        value_hex:
          anyOf:
            - type: string
            - type: 'null'
          title: Value Hex
      type: object
      required:
        - id
        - value
      title: AttributeValueChoice
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````